Subject: [Casm] Fwd: Prefix manager code updated

From: Brian E Carpenter <[email-masked]>
Date: Sun, 7 May 2017 15:13:51 +1200

In case anybody here is interested; comments welcome of course.

    Brian

-------- Forwarded Message --------
Subject: Prefix manager code updated
Date: Sun, 7 May 2017 15:04:17 +1200
From: Brian E Carpenter <[email-masked]>
Organization: University of Auckland
To: Anima WG <[email-masked]>

Hi,

I've uploaded a new improved version of my demo code for draft-ietf-anima-prefix-management.

It can be found at https://www.cs.auckland.ac.nz/~brian/graspy/pfxm2.py, but I advise reading the implementation notes first: https://www.cs.auckland.ac.nz/~brian/graspy/pfxm2.pdf .

There's also a screen shot at https://www.cs.auckland.ac.nz/~brian/graspy/prefixen.png . This shows a 'master' prefix manager (bottom left) and four prefix delegators in action, all running on the same machine (but independent GRASP instances). It works between machines too, but that's hard to capture in a screen shot.

TL;DR:  "Apart from figuring out the bit manipulations and eliminating a few fencepost errors, this was quite easy work. I think it shows that the whole mechanism is viable. With stable storage added, and a secure ACP, it should be safe for real world use. Expansion to cover IPv4 as well would be straightforward, if the objective format allowed it."

Regards
   Brian Carpenter